Consultar uma versão do catálogo de regras
curl --request GET \
--url https://api.nlbs.ai/rules/versions/{version}import requests
url = "https://api.nlbs.ai/rules/versions/{version}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nlbs.ai/rules/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalog": [
{
"code": "R-J-022-S",
"description": "Entidade da rede societária da contraparte ré em processo penal ativo por fraude.",
"kind": "observable",
"name": "Ré em fraude na rede societária",
"pillar": "jud",
"severity": "high",
"version": "1.0.0"
}
],
"manifest": {
"catalog_hash": "sha256:example",
"published_at": "2026-06-23T00:00:00Z",
"signal_count": 42,
"version": "0.1.0"
}
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}Regras
Consultar uma versão do catálogo de regras
Retorna o manifesto e o catálogo de uma versão específica das regras.
GET
/
rules
/
versions
/
{version}
Consultar uma versão do catálogo de regras
Path Parameters
Rótulo da versão do catálogo de regras.
Example:
"0.1.0"
Response
Successful Response
Entradas públicas do catálogo de regras (nome/descrição apenas; sem fórmulas).
Show child attributes
Show child attributes
Metadados do manifesto do snapshot.
Show child attributes
Show child attributes
Example:
{
"catalog_hash": "sha256:example",
"published_at": "2026-06-23T00:00:00Z",
"signal_count": 42,
"version": "0.1.0"
}

